<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.ownplanitem.steptwo.CreateOwnPlanItemStepTwoViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentContainer"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/linen">

        <androidx.core.widget.NestedScrollView
            android:id="@+id/nestedScrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="@dimen/spacing_9xl">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/container"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/pageTitle"
                    style="@style/Title.XL"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="@dimen/spacing_xl"
                    android:layout_marginTop="@dimen/spacing_10xl"
                    android:text="@string/choose_your_image"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/imageList"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_xl"
                    android:orientation="horizontal"
                    app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/pageTitle"
                    tools:itemCount="4"
                    tools:listitem="@layout/item_rounded_image" />

                <com.vessel.app.views.PagerIndicator
                    android:id="@+id/pagerIndicator"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_xl"
                    app:dotColor="@color/blackAlpha15"
                    app:dotRadius="3dp"
                    app:dotSeparation="@dimen/spacing_normal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/imageList"
                    app:selectedDotColor="@color/black"
                    app:selectedDotRadius="3dp" />

                <ImageView
                    android:id="@+id/whiteSwipeFinger"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/spacing_xl"
                    android:src="@drawable/ic_white_swipe_finger_tip"
                    app:layout_constraintBottom_toBottomOf="@id/imageList"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />

                <ImageView
                    android:id="@+id/rightArrows"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/spacing_2xl"
                    android:src="@drawable/ic_white_right_tripple_arrow"
                    app:layout_constraintStart_toEndOf="@id/whiteSwipeFinger"
                    app:layout_constraintTop_toTopOf="@id/whiteSwipeFinger" />

                <ImageView
                    android:id="@+id/leftArrows"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="@dimen/spacing_2xl"
                    android:src="@drawable/ic_white_left_tripple_arrow"
                    app:layout_constraintEnd_toStartOf="@id/whiteSwipeFinger"
                    app:layout_constraintTop_toTopOf="@id/whiteSwipeFinger" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.core.widget.NestedScrollView>

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/closeButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_4xl"
            android:layout_marginStart="@dimen/spacing_large"
            android:onClick="@{() -> viewModel.onCloseClicked()}"
            android:src="@drawable/ic_back_button"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.vessel.app.views.BlackRoundedButtonGroup
            android:id="@+id/gotItButton"
            style="@style/FooterButton"
            android:onClick="@{() -> viewModel.onContinueClicked()}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/create_plan_item}"
            tools:background="@color/black" />

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
